/*
 *  @Copyright (C) 2007 Kim Jin Chul (shriekout@gmail.com).
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _INTERFACE_H
#define _INTERFACE_H

#include <gtk/gtk.h>
#include "timecheck.h"

GtkWidget *create_menu(void);
GtkWidget *create_timer(void);
GtkWidget *create_alarm_window(void);
GtkWidget *create_preference(void);
GtkWidget *create_imagechooserdialog(void);
GtkWidget *create_extension_box(void);
GtkWidget *create_presetEAdialog(int what, struct presetList *sp);
GtkWidget *create_presetremoveDialog(char *content);
GtkWidget *create_trayicontooltip(void);

GtkWidget *sound_chooser;

#endif
